org.kohsuke.stapler

## Class CompilerMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.kohsuke.stapler.AbstractCompilerMojo
    - - org.kohsuke.stapler.CompilerMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  AptMojo

    public class CompilerMojo
    extends AbstractCompilerMojo

Compiles application sources

Version:
  $Id: CompilerMojo.java 383 2007-08-19 17:12:03Z kohsuke $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CompilerMojo()`

### Method Summary

Methods
`void` `execute()`
`protected List` `getClasspathElements()`
`protected List` `getCompileSourceRoots()`
`protected File` `getOutputDirectory()`
`protected org.codehaus.plexus.compiler.util.scan.SourceInclusionScanner` `getSourceInclusionScanner(int staleMillis)`
`protected org.codehaus.plexus.compiler.util.scan.SourceInclusionScanner` `getSourceInclusionScanner(String inputFileEnding)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerMojo

    public CompilerMojo()

### Method Detail

#### getCompileSourceRoots

    protected List getCompileSourceRoots()

Specified by:
  `getCompileSourceRoots` in class `AbstractCompilerMojo`

#### getClasspathElements

    protected List getClasspathElements()

Specified by:
  `getClasspathElements` in class `AbstractCompilerMojo`

#### getOutputDirectory

    protected File getOutputDirectory()

Specified by:
  `getOutputDirectory` in class `AbstractCompilerMojo`

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.CompilationFailureException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractCompilerMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.CompilationFailureException`

#### getSourceInclusionScanner

    protected org.codehaus.plexus.compiler.util.scan.SourceInclusionScanner getSourceInclusionScanner(int staleMillis)

Specified by:
  `getSourceInclusionScanner` in class `AbstractCompilerMojo`

#### getSourceInclusionScanner

    protected org.codehaus.plexus.compiler.util.scan.SourceInclusionScanner getSourceInclusionScanner(String inputFileEnding)

Specified by:
  `getSourceInclusionScanner` in class `AbstractCompilerMojo`